Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26850/?format=api
{ "ob_id": 26850, "uuid": "c4f160a450f540f4bacb57b4bf2f4697", "title": "Coastal Zone Colour Scanner (CZCS) - Level 0 data from NEODAAS Dundee Satellite Receiving Station", "abstract": "The Coastal Zone Colour Scanner (CZCS) was a multi-channel scanning radiometer aboard the US Nimbus 7 satellite. Nimbus 7 was launched 24 October 1978, and CZCS became operational on 2 November 1978. It was only designed to operate for one year (as a proof-of-concept), but in fact remained in service until 22 June 1986. Its operation on board the Nimbus 7 was limited to alternate days as it shared its power with the passive microwave scanning multi channel microwave radiometer.\r\n\r\nCZCS measured reflected solar energy in six channels, at a resolution of 800 meters. These measurements were used to map chlorophyll concentration in water, sediment distribution, salinity, and the temperature of coastal waters and ocean currents.\r\n\r\nThe data were transferred to CEDA when the Dundee Satellite Receiving Station (NEODAAS Dundee node) facility was closed to continue the long term archive.", "keywords": "CZCS, Radiometer, Nimbus 7", "publicationState": "published", "dataPublishedTime": "2020-05-06T12:53:12", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26856/?format=api", "dataPath": "/neodc/czcs/data/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 94645915256, "numberOfFiles": 4431, "fileFormat": "Data are in bzip2 format." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7230/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data was collected via the NEODAAS Dundee Satellite Receiving Station. This was then transferred to CEDA to allow the long term archive to continue.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/30202/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/projects/30203/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112778/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112779/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112780/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112783/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112784/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112782/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/142499/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/112781/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/29896/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2647/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://science.nasa.gov/earth-science/earth-science-data/data-information-policy/", "licenceClassifications": "" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }